libcroco-0.6.13-1.1.x86_64.rpm


Advertisement

Description

libcroco - CSS2 Parser Library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libcroco-0.6.13-1.1.x86_64.rpm
Package name libcroco
Package version 0.6.13
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage https://gitlab.gnome.org/GNOME/libcroco
License LGPL-2.1-only
Maintainer -
Download size 78.91 KB
Installed size 329.41 KB
Libcroco is a stand-alone CSS2 parsing library. It provides a low-level
event-driven SAC-like API and a CSS object model-like API.

Alternatives

Package Version Architecture Repository
libcroco-0.6.13-65.2.x86_64.rpm 0.6.13 x86_64 GNOME Next
libcroco-0.6.13-65.2.i586.rpm 0.6.13 i586 GNOME Next
libcroco-0.6.13-50.2.x86_64.rpm 0.6.13 x86_64 GNOME Factory
libcroco-0.6.13-50.2.i586.rpm 0.6.13 i586 GNOME Factory
libcroco-0.6.13-1.1.i586.rpm 0.6.13 i586 openSUSE Oss
libcroco - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
libcroco-0.6.so.3()(64bit) -
libglib-2.0.so.0()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -

Provides

Name Value
libcroco = 0.6.13-1.1
libcroco(x86-64) = 0.6.13-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libcroco-0.6.13-1.1.x86_64.rpm
Source Package libcroco-0.6.13-1.1.src.rpm

Install Howto

Install libcroco rpm package:

# zypper install libcroco

Files

Path
/usr/bin/csslint-0.6
/usr/share/doc/packages/libcroco/AUTHORS
/usr/share/doc/packages/libcroco/ChangeLog
/usr/share/doc/packages/libcroco/HACKING
/usr/share/doc/packages/libcroco/NEWS
/usr/share/doc/packages/libcroco/README
/usr/share/doc/packages/libcroco/TODO
/usr/share/licenses/libcroco/COPYING

Changelog

2019-04-06 - Bjørn Lie <bjorn.lie@gmail.com>
- Update to version
+ Visual Studio builds: Enhance security of x64 binaries.
+ win32/replace.py: Fix replacing items in files with UTF-8
content.
+ tknzr: support only max long rgb values.
+ input: check end of input before reading a byte.
- Drop upstream fixed patches:
+ libcroco-fix-CVE-2017-7960.patch.
+ libcroco-fix-CVE-2017-7961.patch.
- Stop exporting -fno-strict-aliasing" to configure, no longer
needed.
- Update URL to new gitlab home.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-10-08 - jengelh@inai.de
- Remove --with-pic which is useless with --disable-static.
- Rectify RPM groups. Remove redundant %clean section.
2017-10-07 - dimstar@opensuse.org
- Drop gtk-doc BuildRequires: Do not build documentation (helps
eliminate a build cycle). This is no loss for the package, as we
simply install the pre-built doc from the tarball.
2017-06-12 - zaitor@opensuse.org
- Add libcroco-fix-CVE-2017-7960.patch: Fix boo#1034481,
CVE-2017-7960.
- Add libcroco-fix-CVE-2017-7961.patch: Fix boo#1034482,
CVE-2017-7961.
2017-04-20 - zaitor@opensuse.org
- Update to version 0.6.12:
+ Add support for Visual Studio 2017.
+ Misc bug fixes.
2016-04-15 - mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
2015-12-17 - zaitor@opensuse.org
- Update to version 0.6.11:
+ Fix regression in cr_tknzr_consume_chars.
+ Misc bug fixes.
2015-12-13 - zaitor@opensuse.org
- Update to version 0.6.10:
+ Misc bug fixes.
2015-10-31 - zaitor@opensuse.org
- Update to version 0.6.9:
+ Added Visual Studio projects.
+ Lots of warnings fixed.
+ Improve build system.
+ Misc bug fixes.

See Also

Package Description
libcroco-0_6-3-0.6.13-1.1.i586.rpm CSS2 Parser Library
libcroco-0_6-3-0.6.13-1.1.x86_64.rpm CSS2 Parser Library
libcroco-0_6-3-32bit-0.6.13-1.1.x86_64.rpm CSS2 Parser Library
libcroco-devel-0.6.13-1.1.i586.rpm CSS2 Parser Library Development Files
libcroco-devel-0.6.13-1.1.x86_64.rpm CSS2 Parser Library Development Files
libcrossc1-1.6.0-1.2.i586.rpm Portable C wrapper for SPIRV-Cross
libcrossc1-1.6.0-1.2.x86_64.rpm Portable C wrapper for SPIRV-Cross
libcrossc1-32bit-1.6.0-1.2.x86_64.rpm Portable C wrapper for SPIRV-Cross
libcrossguid0-0.2.2.20190128T092719.8fee233-1.1.i586.rpm C++ GUID/UUID library
libcrossguid0-0.2.2.20190128T092719.8fee233-1.1.x86_64.rpm C++ GUID/UUID library
libcrypt1-32bit-4.4.3-1.1.x86_64.rpm Extended crypt library for DES, MD5, Blowfish and others
libcrypt1-4.4.3-1.1.i586.rpm Extended crypt library for DES, MD5, Blowfish and others
libcrypt1-4.4.3-1.1.x86_64.rpm Extended crypt library for DES, MD5, Blowfish and others
libcryptmount-devel-2.16-3.1.i586.rpm Development files for libcryptmount
libcryptmount-devel-2.16-3.1.x86_64.rpm Development files for libcryptmount
Advertisement
Advertisement